import request from '@/utils/wms-request'

// 查询生产退料单列表
export function listTask(query) {
	return request({
		url: '/produce/back/task/list',
		method: 'get',
		params: query
	})
}

// 查询生产退料单列表(未完成)
export function listUnfinishedTask(query) {
	return request({
		url: '/produce/back/task/list/unfinished',
		method: 'get',
		params: query
	})
}

// 查询生产退料单详细
export function getTask(id) {
	return request({
		url: '/produce/back/task/' + id,
		method: 'get'
	})
}

// 新增生产退料单
export function addTask(data) {
	return request({
		url: '/produce/back/task',
		method: 'post',
		data: data
	})
}

// 修改生产退料单
export function updateTask(data) {
	return request({
		url: '/produce/back/task',
		method: 'put',
		data: data
	})
}

// 删除生产退料单
export function delTask(id) {
	return request({
		url: '/produce/back/task/' + id,
		method: 'delete'
	})
}

// 导出生产退料单
export function exportTask(query) {
	return request({
		url: '/produce/back/task/export',
		method: 'get',
		params: query
	})
}

//打印退料任务单明细
export function mergePrintDetailPdfs(ids) {
	return request({
		url: '/produce/back/task/mergePrintDetailPdfs',
		method: 'post',
		data: ids
	})
}

// 查询退料任务单明细列表
export function listDetail(query) {
	return request({
		url: '/produce/back/task/taskDetail/list',
		method: 'get',
		params: query
	})
}